Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Boris Buliga <[email-masked]>
Date: Sun, 14 Oct 2018 12:04:25 +0300

Thank you for suggestion. I will try it out as well.

On Sun, Oct 14, 2018 at 11:19 Aaron Jensen <[email-masked]> wrote:

> On October 10, 2018 at 8:40:18 PM, Aaron Jensen
> ([email-masked](mailto:[email-masked])) wrote:
>
> > On October 10, 2018 at 11:27:54 AM, Alan Third ([email-masked](mailto:
> [email-masked])) wrote:
> >
> > > On Tue, Oct 09, 2018 at 10:15:18AM +0300, Boris Buliga wrote:
> > > > Usually, it happens during resizing. But I've seen it several times
> without
> > > > resizing.
> > >
> > > I doubt this will make any difference, but can one of you try removing
> > > the called to [window display] in windowWillResize in nsterm.m
> >
> > I can still repro with this change made. Also, it’s not just on
> resizing, it happens often just while using it w/ a fixed window size.
>
> On a whim, I commented out:
>
>   [FRAME_NS_VIEW (f) displayIfNeeded];
>
> In ns_flush_display. I cannot reproduce the problem with that
> commented out. I don’t know what ill effects it will have, but so far
> it seems like things draw properly.
>
> Aaron
>
-- 
Cheers,
Boris